cSignal(3)

NAME
cSignal - send signal to one waiting thread.

SYNOPSIS
#include <util/ulocks.h> NEOERR *cSignal(pthread_cond_t *cond);

ARGUMENTS
cond - condition variable to send signal on.

DESCRIPTION
Sends a signal to one thread waiting on condition variable <cond>. MT-Level: Safe.

RETURN VALUE
None.

SEE ALSO
mCreate(3), fCreate(3), mUnlock(3), fUnlock(3), cBroadcast(3), cSignal(3), fFind(3), cDestroy(3), cCreate(3), mDestroy(3), cWait(3), fLock(3), fDestroy(3), mLock